This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 557195 - libguestfs fails to detect disks, missing module: sd_mod: Unknown symbol crc_t10dif
libguestfs fails to detect disks, missing module: sd_mod: Unknown symbol crc_...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 12:41 EST by Richard W.M. Jones
Modified: 2010-03-16 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-21 05:56:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-01-20 12:41:21 EST
Description of problem:

When the appliance boots, we see the following messages.  Note
that no /dev/sdX devices are created.

[    4.472837] scsi0 : ata_piix
[    4.543005] scsi1 : ata_piix
[    4.543499] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[    4.543846] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
[    4.717204] ata1.00: ATA-7: QEMU HARDDISK, 0.12.1, max UDMA/100
[    4.717591] ata1.00: 1024000 sectors, multi 16: LBA48 
[    4.718093] ata1.01: ATA-7: QEMU HARDDISK, 0.12.1, max UDMA/100
[    4.718384] ata1.01: 102400 sectors, multi 16: LBA48 
[    4.739128] ata2.00: ATA-7: QEMU HARDDISK, 0.12.1, max UDMA/100
[    4.739499] ata2.00: 20480 sectors, multi 16: LBA48 
[    4.739839] ata2.01: ATA-7: QEMU HARDDISK, 0.12.1, max UDMA/100
[    4.740030] ata2.01: 2532 sectors, multi 16: LBA48 
[    4.746477] ata2.00: configured for MWDMA2
[    4.754138] ata1.00: configured for MWDMA2
[    4.758754] ata1.01: configured for MWDMA2
[    4.762512] ata2.01: configured for MWDMA2
[    4.822506] scsi 0:0:0:0: Direct-Access     ATA      QEMU HARDDISK    0.12 PQ: 0 ANSI: 5
[    4.921190] scsi 0:0:1:0: Direct-Access     ATA      QEMU HARDDISK    0.12 PQ: 0 ANSI: 5
[    4.962732] scsi 1:0:0:0: Direct-Access     ATA      QEMU HARDDISK    0.12 PQ: 0 ANSI: 5
[    4.997745] scsi 1:0:1:0: Direct-Access     ATA      QEMU HARDDISK    0.12 PQ: 0 ANSI: 5
[    5.121540] virtio-pci 0000:00:02.0: found PCI INT A -> IRQ 10
[    5.163198] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0xb100, revision 0
[    5.472315] sd_mod: Unknown symbol crc_t10dif
[    5.557359] sd_mod: Unknown symbol crc_t10dif
[    5.629339] sd_mod: Unknown symbol crc_t10dif
[    5.711583] sd_mod: Unknown symbol crc_t10dif
[    6.524792] sd_mod: Unknown symbol crc_t10dif
[    6.659163] sd_mod: Unknown symbol crc_t10dif
[    6.761977] sd_mod: Unknown symbol crc_t10dif
[    6.838378] sd_mod: Unknown symbol crc_t10dif
[  OK  ]

[   10.267501] device-mapper: uevent: version 1.0.3
[   10.293880] device-mapper: ioctl: 4.16.0-ioctl (2009-11-05) initialised: dm-devel@redhat.com
  Reading all physical volumes.  This may take a while...
/init: line 50: /sys/block/vd*/queue/rotational: No such file or directory
total 0
lrwxrwxrwx 1 root root          13 Jan 20 12:24 MAKEDEV -> /sbin/MAKEDEV
drwxr-xr-x 2 root root         200 Jan 20 17:24 block
drwxr-xr-x 2 root root         120 Jan 20 17:24 bsg
drwxr-xr-x 2 root root        2160 Jan 20 17:24 char
crw------- 1 root root      5,   1 Jan 20 12:24 console
lrwxrwxrwx 1 root root          11 Jan 20 12:24 core -> /proc/kcore
drwxr-xr-x 3 root root          60 Jan 20 12:24 cpu
crw-rw---- 1 root root     10,  62 Jan 20 12:24 cpu_dma_latency
lrwxrwxrwx 1 root root          13 Jan 20 12:24 fd -> /proc/self/fd
crw-rw-rw- 1 root root      1,   7 Jan 20 12:24 full
crw-rw-rw- 1 root root     10, 229 Jan 20 12:24 fuse
drwxr-xr-x 3 root root         180 Jan 20 17:24 input
crw-rw---- 1 root root      1,  11 Jan 20 12:24 kmsg
brw-rw---- 1 root disk      7,   0 Jan 20 12:24 loop0
brw-rw---- 1 root disk      7,   1 Jan 20 12:24 loop1
brw-rw---- 1 root disk      7,   2 Jan 20 12:24 loop2
brw-rw---- 1 root disk      7,   3 Jan 20 12:24 loop3
brw-rw---- 1 root disk      7,   4 Jan 20 12:24 loop4
brw-rw---- 1 root disk      7,   5 Jan 20 12:24 loop5
brw-rw---- 1 root disk      7,   6 Jan 20 12:24 loop6
brw-rw---- 1 root disk      7,   7 Jan 20 12:24 loop7
crw-rw---- 1 root lp        6,   0 Jan 20 12:24 lp0
crw-rw---- 1 root lp        6,   1 Jan 20 12:24 lp1
crw-rw---- 1 root lp        6,   2 Jan 20 12:24 lp2
crw-rw---- 1 root lp        6,   3 Jan 20 12:24 lp3
drwxr-xr-x 2 root root          60 Jan 20 17:24 mapper
crw-rw---- 1 root root     10, 227 Jan 20 12:24 mcelog
crw-r----- 1 root kmem      1,   1 Jan 20 12:24 mem
drwxr-xr-x 2 root root          60 Jan 20 12:24 net
crw-rw---- 1 root root     10,  61 Jan 20 12:24 network_latency
crw-rw---- 1 root root     10,  60 Jan 20 12:24 network_throughput
crw-rw-rw- 1 root root      1,   3 Jan 20 12:24 null
crw-r----- 1 root kmem     10, 144 Jan 20 12:24 nvram
crw-rw---- 1 root root      1,  12 Jan 20 12:24 oldmem
crw-r----- 1 root kmem      1,   4 Jan 20 12:24 port
crw------- 1 root root    108,   0 Jan 20 12:24 ppp
crw-rw-rw- 1 root tty       5,   2 Jan 20 12:24 ptmx
drwxr-xr-x 2 root root          40 Jan 20 12:24 pts
crw-rw-rw- 1 root root      1,   8 Jan 20 12:24 random
drwxr-xr-x 2 root root          60 Jan 20 12:24 raw
lrwxrwxrwx 1 root root           4 Jan 20 12:24 rtc -> rtc0
crw-rw---- 1 root root    254,   0 Jan 20 12:24 rtc0
drwxr-xr-x 2 root root          40 Jan 20 12:24 shm
lrwxrwxrwx 1 root root          15 Jan 20 12:24 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root          15 Jan 20 12:24 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root          15 Jan 20 12:24 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root tty       5,   0 Jan 20 12:24 tty
crw--w---- 1 root tty       4,   0 Jan 20 17:24 tty0
crw--w---- 1 root tty       4,   1 Jan 20 12:24 tty1
crw--w---- 1 root tty       4,  10 Jan 20 12:24 tty10
crw--w---- 1 root tty       4,  11 Jan 20 12:24 tty11
crw--w---- 1 root tty       4,  12 Jan 20 12:24 tty12
crw--w---- 1 root tty       4,  13 Jan 20 12:24 tty13
crw--w---- 1 root tty       4,  14 Jan 20 12:24 tty14
crw--w---- 1 root tty       4,  15 Jan 20 12:24 tty15
crw--w---- 1 root tty       4,  16 Jan 20 12:24 tty16
crw--w---- 1 root tty       4,  17 Jan 20 12:24 tty17
crw--w---- 1 root tty       4,  18 Jan 20 12:24 tty18
crw--w---- 1 root tty       4,  19 Jan 20 12:24 tty19
crw--w---- 1 root tty       4,   2 Jan 20 12:24 tty2
crw--w---- 1 root tty       4,  20 Jan 20 12:24 tty20
crw--w---- 1 root tty       4,  21 Jan 20 12:24 tty21
crw--w---- 1 root tty       4,  22 Jan 20 12:24 tty22
crw--w---- 1 root tty       4,  23 Jan 20 12:24 tty23
crw--w---- 1 root tty       4,  24 Jan 20 12:24 tty24
crw--w---- 1 root tty       4,  25 Jan 20 12:24 tty25
crw--w---- 1 root tty       4,  26 Jan 20 12:24 tty26
crw--w---- 1 root tty       4,  27 Jan 20 12:24 tty27
crw--w---- 1 root tty       4,  28 Jan 20 12:24 tty28
crw--w---- 1 root tty       4,  29 Jan 20 12:24 tty29
crw--w---- 1 root tty       4,   3 Jan 20 12:24 tty3
crw--w---- 1 root tty       4,  30 Jan 20 12:24 tty30
crw--w---- 1 root tty       4,  31 Jan 20 12:24 tty31
crw--w---- 1 root tty       4,  32 Jan 20 12:24 tty32
crw--w---- 1 root tty       4,  33 Jan 20 12:24 tty33
crw--w---- 1 root tty       4,  34 Jan 20 12:24 tty34
crw--w---- 1 root tty       4,  35 Jan 20 12:24 tty35
crw--w---- 1 root tty       4,  36 Jan 20 12:24 tty36
crw--w---- 1 root tty       4,  37 Jan 20 12:24 tty37
crw--w---- 1 root tty       4,  38 Jan 20 12:24 tty38
crw--w---- 1 root tty       4,  39 Jan 20 12:24 tty39
crw--w---- 1 root tty       4,   4 Jan 20 12:24 tty4
crw--w---- 1 root tty       4,  40 Jan 20 12:24 tty40
crw--w---- 1 root tty       4,  41 Jan 20 12:24 tty41
crw--w---- 1 root tty       4,  42 Jan 20 12:24 tty42
crw--w---- 1 root tty       4,  43 Jan 20 12:24 tty43
crw--w---- 1 root tty       4,  44 Jan 20 12:24 tty44
crw--w---- 1 root tty       4,  45 Jan 20 12:24 tty45
crw--w---- 1 root tty       4,  46 Jan 20 12:24 tty46
crw--w---- 1 root tty       4,  47 Jan 20 12:24 tty47
crw--w---- 1 root tty       4,  48 Jan 20 12:24 tty48
crw--w---- 1 root tty       4,  49 Jan 20 12:24 tty49
crw--w---- 1 root tty       4,   5 Jan 20 12:24 tty5
crw--w---- 1 root tty       4,  50 Jan 20 12:24 tty50
crw--w---- 1 root tty       4,  51 Jan 20 12:24 tty51
crw--w---- 1 root tty       4,  52 Jan 20 12:24 tty52
crw--w---- 1 root tty       4,  53 Jan 20 12:24 tty53
crw--w---- 1 root tty       4,  54 Jan 20 12:24 tty54
crw--w---- 1 root tty       4,  55 Jan 20 12:24 tty55
crw--w---- 1 root tty       4,  56 Jan 20 12:24 tty56
crw--w---- 1 root tty       4,  57 Jan 20 12:24 tty57
crw--w---- 1 root tty       4,  58 Jan 20 12:24 tty58
crw--w---- 1 root tty       4,  59 Jan 20 12:24 tty59
crw--w---- 1 root tty       4,   6 Jan 20 12:24 tty6
crw--w---- 1 root tty       4,  60 Jan 20 12:24 tty60
crw--w---- 1 root tty       4,  61 Jan 20 12:24 tty61
crw--w---- 1 root tty       4,  62 Jan 20 12:24 tty62
crw--w---- 1 root tty       4,  63 Jan 20 12:24 tty63
crw--w---- 1 root tty       4,   7 Jan 20 12:24 tty7
crw--w---- 1 root tty       4,   8 Jan 20 12:24 tty8
crw--w---- 1 root tty       4,   9 Jan 20 12:24 tty9
crw-rw---- 1 root dialout   4,  64 Jan 20 12:24 ttyS0
crw-rw---- 1 root dialout   4,  65 Jan 20 12:24 ttyS1
crw-rw---- 1 root dialout   4,  66 Jan 20 12:24 ttyS2
crw-rw---- 1 root dialout   4,  67 Jan 20 12:24 ttyS3
crw-rw-rw- 1 root root      1,   9 Jan 20 12:24 urandom
crw-rw---- 1 root root    251,   0 Jan 20 12:24 usbmon0
crw-rw---- 1 vcsa tty       7,   0 Jan 20 12:24 vcs
crw-rw---- 1 vcsa tty       7,   1 Jan 20 12:24 vcs1
crw-rw---- 1 vcsa tty       7, 128 Jan 20 12:24 vcsa
crw-rw---- 1 vcsa tty       7, 129 Jan 20 12:24 vcsa1
crw-rw---- 1 root root     10,  63 Jan 20 12:24 vga_arbiter
crw-rw-rw- 1 root root      1,   5 Jan 20 12:24 zero


Version-Release number of selected component (if applicable):

libguestfs 1.0.80 on RHEL 6.

How reproducible:

Always.

Steps to Reproduce:
1. export LIBGUESTFS_DEBUG=1
2. Run any libguestfs program, eg. guestfish.
  
Actual results:

Doesn't see any disks.

Expected results:

Should see disks.

Additional info:

Requires an additional kernel module to be added to the
kernel module whitelist.

At a guess the missing module is crc-t10dif.ko
Comment 1 Richard W.M. Jones 2010-01-20 14:59:07 EST
Fix posted upstream:

http://www.redhat.com/archives/libguestfs/2010-January/msg00015.html

Verified on RHEL 6.

Note You need to log in before you can comment on or make changes to this bug.